org.yaml.snakeyaml.nodes

## Class CollectionNode<T>

- java.lang.Object
- - org.yaml.snakeyaml.nodes.Node
  - - org.yaml.snakeyaml.nodes.CollectionNode<T>

Direct Known Subclasses:
  MappingNode, SequenceNode

    public abstract class CollectionNode<T>
    extends Node

Base class for the two collection types `mapping` and `collection`.

### Field Summary

### Fields inherited from class org.yaml.snakeyaml.nodes.Node

`endMark, resolved, useClassConstructor`

### Constructor Summary

Constructors
Constructor and Description
`CollectionNode(Tag tag, Mark startMark, Mark endMark, Boolean flowStyle)` Deprecated.
`CollectionNode(Tag tag, Mark startMark, Mark endMark, DumperOptions.FlowStyle flowStyle)`

### Method Summary

Methods
`DumperOptions.FlowStyle` `getFlowStyle()` Serialization style of this collection.
`abstract List<T>` `getValue()` Returns the elements in this sequence.
`void` `setEndMark(Mark endMark)`
`void` `setFlowStyle(Boolean flowStyle)` Deprecated.
`void` `setFlowStyle(DumperOptions.FlowStyle flowStyle)`

### Methods inherited from class org.yaml.snakeyaml.nodes.Node

`equals, getAnchor, getBlockComments, getEndComments, getEndMark, getInLineComments, getNodeId, getStartMark, getTag, getType, hashCode, isResolved, isTwoStepsConstruction, setAnchor, setBlockComments, setEndComments, setInLineComments, setTag, setTwoStepsConstruction, setType, setUseClassConstructor, useClassConstructor`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CollectionNode

    public CollectionNode(Tag tag,
                  Mark startMark,
                  Mark endMark,
                  DumperOptions.FlowStyle flowStyle)

#### CollectionNode

    @Deprecated
    public CollectionNode(Tag tag,
                             Mark startMark,
                             Mark endMark,
                             Boolean flowStyle)

Deprecated.

### Method Detail

#### getValue

    public abstract List<T> getValue()

Returns the elements in this sequence.

Returns:
  Nodes in the specified order.

#### getFlowStyle

    public DumperOptions.FlowStyle getFlowStyle()

Serialization style of this collection.

Returns:
  `true` for flow style, `false` for block style.

#### setFlowStyle

    public void setFlowStyle(DumperOptions.FlowStyle flowStyle)

#### setFlowStyle

    @Deprecated
    public void setFlowStyle(Boolean flowStyle)

Deprecated.

#### setEndMark

    public void setEndMark(Mark endMark)